D4Science Infrastructure - Task #6686

dns change
Jan 27,2017 01:47 PM - Pierpaolo Petriccione

Status: Closed Start date: Jan 27, 2017
Priority: Normal Due date: Feb 03, 2017
Assignee: Andrea Dell'’Amico % Done: 100%
Category: Other Estimated time: 0.00 hour
Target version: Deploy Edison VO

Infrastructure: Development

Description

We need to reconfigure the dev3.d4science.org server to accept both:

https://edison.d4science.org

https://datasciencepro.eu
https://www.datasciencepro.eu

and to point to the edison.d4science.org Liferay portal.
Further details will be sent by email.

thanks

History

#1 - Jan 27, 2017 02:56 PM - Massimiliano Assante

- Tracker changed from Support to Task

- Project changed from 2 to D4Science Infrastructure

- Category set to Other

- Assignee set to Andrea Dell'’Amico

- Target version changed from zz - UnSprintable to Deploy Edison VO

- Infrastructure Production added

I'am assigning the ticket to Andrea,

please Pierpaolo, don't send any further details via email, enter them in this ticket. If you need confidentiality check the Private Notes checkbox.
Thanks

#2 - Jan 27, 2017 04:29 PM - Andrea Dell'Amico
- Status changed from New to In Progress
- Infrastructure Development added
- Infrastructure deleted (Production)
A couple of observations:
e Until you reconfigure your DNS records, the only way to reach the dev portal using (www.)datasciencepro.eu as target will be only possible by
tweaking your local hosts file
e We use letsencrypt as a certificates provider. After you switch the DNS | would prefer to stick to that solution, that doesn't need any manual
intervention.
I modified the haproxy configuration, it now manages both the dev3/edison certificate and the www.datasciencepro.eu one.
#3 - Jan 27, 2017 04:29 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

#4 - Jan 31, 2017 08:39 PM - Andrea Dell'Amico
- Status changed from Feedback to Closed
